Qt 5.7 | Qt 3D | C++ Classes | QDispatchCompute

Qt 5.7.1 Reference Documentation

# QDispatchCompute Class

(Qt3DRender::QDispatchCompute)

Allows a glDispatchCompute call to be issued to do work in a compute shader on the GPU. More...

Header: | #include <QDispatchCompute>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | DispatchCompute
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- workGroupX : int
- workGroupY : int
- workGroupZ : int

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QDispatchCompute(Qt3DCore::QNode *parent = nullptr)
int | workGroupX() const
int | workGroupY() const
int | workGroupZ() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setWorkGroupX(int workGroupX)
void | setWorkGroupY(int workGroupY)
void | setWorkGroupZ(int workGroupZ)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | workGroupXChanged()
void | workGroupYChanged()
void | workGroupZChanged()

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Allows a glDispatchCompute call to be issued to do work in a compute shader on the GPU.

## Property Documentation

### workGroupX : int

Specifies X workgroup.

Access functions:

int | workGroupX() const
void | setWorkGroupX(int workGroupX)

Notifier signal:

void | workGroupXChanged()

### workGroupY : int

Specifies Y workgroup.

Access functions:

int | workGroupY() const
void | setWorkGroupY(int workGroupY)

Notifier signal:

void | workGroupYChanged()

### workGroupZ : int

Specifies Z workgroup.

Access functions:

int | workGroupZ() const
void | setWorkGroupZ(int workGroupZ)

Notifier signal:

void | workGroupZChanged()

## Member Function Documentation

### QDispatchCompute::QDispatchCompute(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.